Create log entry
post
/v1/log

Create a log entry for errors and debug in the frontend UI.

🔐 Authentication
X-TOKEN Token generated for a UI session
Header parameter: X-TOKEN
📤 Request

Content Type: application/json
level string required

The log level of the message.

Possible values: debug, info, notice, warning, error, critical, alert, emergency
Example: error
message string required

Error message to log.

Example: An error occured in main.js line 123.
environment string

The environment where the error occured. Useful for filtering and escaltion in the logs.

Example: staging
domain string

The domain under which the error occured. Useful for filtering in the logs.

Example: https://example.fetchdocs.io
context array

Additional context to log. Useful for debugging.

Example: {identity_uuid: 123}
Request Example
📥 Response
201 Created
401 Unauthorized Error
Content Type:
422 Unprocessable Entity
Content Type:
500 Internal Server Error
Content Type:
Response Examples